Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.openjpa.jdbc.meta
Class JavaSQLTypes

    java.lang.Object
      org.apache.openjpa.meta.JavaTypes
          org.apache.openjpa.jdbc.meta.JavaSQLTypes

    public class JavaSQLTypes

extends JavaTypes

Java SQL type constants.

Author:
  Abe White

Field Summary
`static int` | `ASCII_STREAM`
`static int` | `BINARY_STREAM`
`static int` | `BLOB`
`static int` | `BYTES`
`static int` | `CHAR_STREAM`
`static int` | `CLOB`
`static int` | `JDBC_DEFAULT`
`static int` | `REF`
`static int` | `SQL_ARRAY`
`static int` | `SQL_DATE`
`static int` | `SQL_OBJECT`
`static int` | `TIME`
`static int` | `TIMESTAMP`

Fields inherited from class org.apache.openjpa.meta.JavaTypes
`ARRAY, BIGDECIMAL, BIGINTEGER, BOOLEAN, BOOLEAN_OBJ, BYTE, BYTE_OBJ, CALENDAR, CHAR, CHAR_OBJ, COLLECTION, DATE, DOUBLE, DOUBLE_OBJ, FLOAT, FLOAT_OBJ, INT, INT_OBJ, LOCALE, LONG, LONG_OBJ, MAP, NUMBER, OBJECT, OID, PC, PC_UNTYPED, SHORT, SHORT_OBJ, STRING`

Constructor Summary
`JavaSQLTypes()`

Method Summary
`static int` | `getDateTypeCode(Class dtype)` Return the proper date typecode.
`static Object` | `getEmptyValue(int type)` Return an empty value object for the given type code.
`static Object` | `getNonEmptyValue(int type)` Return a non-empty value object for the given type code.

Methods inherited from class org.apache.openjpa.meta.JavaTypes
`classForName, classForName, classForName, classForName, convert, getTypeCode, maybePC, maybePC, toArray, toList`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SQL_ARRAY

    public static final int SQL_ARRAY

See Also:
  Constant Field Values

### ASCII_STREAM

    public static final int ASCII_STREAM

See Also:
  Constant Field Values

### BINARY_STREAM

    public static final int BINARY_STREAM

See Also:
  Constant Field Values

### BLOB

    public static final int BLOB

See Also:
  Constant Field Values

### BYTES

    public static final int BYTES

See Also:
  Constant Field Values

### CHAR_STREAM

    public static final int CHAR_STREAM

See Also:
  Constant Field Values

### CLOB

    public static final int CLOB

See Also:
  Constant Field Values

### SQL_DATE

    public static final int SQL_DATE

See Also:
  Constant Field Values

### SQL_OBJECT

    public static final int SQL_OBJECT

See Also:
  Constant Field Values

### REF

    public static final int REF

See Also:
  Constant Field Values

### TIME

    public static final int TIME

See Also:
  Constant Field Values

### TIMESTAMP

    public static final int TIMESTAMP

See Also:
  Constant Field Values

### JDBC_DEFAULT

    public static final int JDBC_DEFAULT

See Also:
  Constant Field Values

Constructor Detail

### JavaSQLTypes

    public JavaSQLTypes()

Method Detail

### getDateTypeCode

    public static int getDateTypeCode(Class dtype)

  Return the proper date typecode.

### getEmptyValue

    public static Object getEmptyValue(int type)

  Return an empty value object for the given type code.

### getNonEmptyValue

    public static Object getNonEmptyValue(int type)

  Return a non-empty value object for the given type code.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Apache Software Foundation. All Rights Reserved.